import { ModelInterface, DictionaryInterface } from "./Typings";
export declare class Model implements ModelInterface {
    private data;
    private updates;
    private _isNew;
    constructor(data?: DictionaryInterface);
    sync(data: DictionaryInterface): this;
    isNew(): boolean;
    getValue(field: string, defaultValue?: any): any;
    setValue(field: string, value: any): this;
    getUpdates(): DictionaryInterface;
    getInitial(): DictionaryInterface;
    getData(): DictionaryInterface;
    toJsonString(): string;
}
