/// <reference types="express" />
import { RequestHandler } from "express";
import { SecurityProviderConfig } from "./Typings";
import { HttpApplication } from "./HttpApplication";
import { Module } from "./Module";
export declare class SecurityProvider extends Module {
    protected config: SecurityProviderConfig;
    constructor(app: HttpApplication, config: SecurityProviderConfig);
    addRedirectToEntry(url: string): this;
    private logoutRequestHandler(req, res, next);
    activate(): void;
    allowAuthenticatedOnly(): RequestHandler;
    allowAnonymousOnly(): RequestHandler;
}
